# Generated by Django 5.0.6 on 2024-05-27 18:53

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('residents_data', '0014_alter_flat_options_flat_date_issue_passports_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='ElectricityMeter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.IntegerField(verbose_name='№ лічильника')),
                ('automat10', models.BooleanField(default=False, verbose_name='Автомат 10')),
                ('removing_date_for_automat10', models.DateField(null=True, verbose_name='Дата зняття')),
                ('set_up_date_for_automat10', models.DateField(null=True, verbose_name='Дата встановлення')),
                ('automat50', models.BooleanField(default=False, verbose_name='Автомат 50')),
            ],
            options={
                'verbose_name': 'Ел/лічильник',
                'verbose_name_plural': 'Ел/лічильники',
            },
        ),
        migrations.AlterField(
            model_name='flat',
            name='notes_for_residents',
            field=models.TextField(max_length=63, null=True, verbose_name='Інші примітки'),
        ),
        migrations.AlterField(
            model_name='flat',
            name='passports_for_meters',
            field=models.BooleanField(default=False, verbose_name='Паспорта на лічильники'),
        ),
        migrations.AlterField(
            model_name='flat',
            name='personal_account',
            field=models.IntegerField(null=True, verbose_name='Номер л/р'),
        ),
        migrations.CreateModel(
            name='ElectricityValue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.IntegerField(verbose_name='кВт')),
                ('date_of_reading', models.DateField(null=True, verbose_name='Покази на ')),
                ('electricity_meter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='values', to='residents_data.electricitymeter')),
            ],
            options={
                'verbose_name': 'Покази ел/лічильника',
                'verbose_name_plural': 'Покази ел/лічильника',
            },
        ),
    ]
